import request from '@/assets/js/utils/request'
import { createURL } from '@/assets/js/utils'

/*
* 招标文件明细API接口
* */
// 项目经理-招标文件已制作标段列表
export function listMarkedTenderDocPackage(data) {
  return request({
    url: '/bidprocurement/bidding-tenderdoc/tenderdoc/tenderProcfilePack/listMarkedTenderDocPackage',
    method: 'post',
    data
  })
}
// 项目经理-招标文件未制作标段
export function listUnmarkedTenderDocPackage(data) {
  return request({
    url: '/bidprocurement/bidding-tenderdoc/tenderdoc/tenderProcfilePack/listUnmarkedTenderDocPackage',
    method: 'post',
    data
  })
}
/*
* 招标文件主API接口
* */
// 项目经理-招标文件列表
export function listTenderDocPages(data) {
  return request({
    url: '/bidprocurement/bidding-tenderdoc/tenderdoc/tenderProcfile/listTenderDocPages',
    method: 'post',
    data
  })
}
// 项目经理-获取文件基本信息
export function queryTenderDocInfo(procfileId) {
  return request({
    url: '/bidprocurement/bidding-tenderdoc/tenderdoc/tenderProcfile/queryTenderDocInfo?procfileId=' + procfileId,
    method: 'post'
  })
}
// 项目经理-删除招标文件
export function removeTenderdocByProcfileId(procfileId) {
  return request({
    url: '/bidprocurement/bidding-tenderdoc/tenderdoc/tenderProcfile/removeTenderdocByProcfileId?procfileId=' + procfileId,
    method: 'post'
  })
}
// 项目经理-点击制作招标文件
export function saveTenderDocPackage(data) {
  return request({
    url: '/bidprocurement/bidding-tenderdoc/tenderdoc/tenderProcfile/saveTenderDocPackage',
    method: 'post',
    data
  })
}
/*
* 招标文件下载API接口
* */
// 项目经理-招标文件下载列表
export function listTenderDocDownloadPages(data) {
  return request({
    url: '/bidprocurement/bidding-tenderdoc/tenderdoc/tenderProcfileDownload/listTenderDocDownloadPages',
    method: 'post',
    data
  })
}
/*
* 招标文件审核API接口
* */
// 运维人员-审批招标文件
export function auditTenderDoc(data) {
  return request({
    url: '/bidprocurement/bidding-tenderdoc/tenderdoc/tenderProcfileAudit/auditTenderDoc' + createURL(data),
    method: 'post'
  })
}
// 运维人员-获取审批招标文件列表
export function listWaitAuditTenderDocPages(data) {
  return request({
    url: '/bidprocurement/bidding-tenderdoc/tenderdoc/tenderProcfileAudit/listWaitAuditTenderDocPages',
    method: 'post',
    data
  })
}
